Bug 1571875 - Unresponsiveness in openshift webconsole while loading too many resources.
Summary: Unresponsiveness in openshift webconsole while loading too many resources.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 3.6.z
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 15:01 UTC by Sanket N
Modified: 2019-08-08 02:54 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 20:24:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3455871 0 None None None 2018-05-22 17:18:42 UTC

Description Sanket N 2018-04-25 15:01:38 UTC
Description of problem:

The browser displaying openshift web console will crash or become unresponsive when resource objects in the namespace increases. 

The pods are the primary resource object that is displayed in a namespace and when it exceed the 150-200 count the aforementioned behavior is observed.

Version-Release number of selected component (if applicable):
3.x


Steps to Reproduce:

1. oc new-project test

2. for i in {1..400}; do oc new-app --name=hello-openshift-$i openshift/hello-openshift; done

3. check url https://openshift_url/console/project/test/overview 



Additional info:


* Unresponsiveness of the browser after accessing the namespace via webconsole observed when the cpu resources were proving insufficient for the browser.
* Browser utilizing the cpu usage of the host machine upto 100% and more which was exausting the cpu resources.
* The spike in the cpu usage was eminent in between the 200-250th pod deployment.
* No instability observed in the openshift cluster nodes.

Comment 2 Samuel Padgett 2018-04-30 14:00:41 UTC
The performance should be noticeably better in 3.6 and newer with the redesigned overview.

Comment 5 Samuel Padgett 2019-06-04 20:24:00 UTC
4.1 has a new console that is much more performant.

1. We've added virtual scrolling to list pages, which only renders the rows that are visible on the page. This lets us show tables with thousands of items.
2. We load 250 resources at a time in list pages, so the UI doesn't block loading large resource lists.
3. We've moved from AngularJS 1.x to React.js, which renders only parts of the page that have changed instead of re-rendering the entire page for every update.

Performance is greatly improved in 4.1 and was even improved in the 3.6 overview. We do not plan to backport these changes the 3.5 console as they are significant architectural changes. Please upgrade to the latest version to see these performance improvements. Thanks!


Note You need to log in before you can comment on or make changes to this bug.